Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1108)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1113)
@@ -710,167 +473,138 @@
 
 !-----------------------------------------------------------------------
-!       namzdf   vertical physics
-!-----------------------------------------------------------------------
-!  ln_zdfevd  enhanced vertical diffusion         (default T)
-!  ln_zdfnpc  Non-Penetrative Convection          (default T)
-!  avm0       vertical eddy viscosity for the dynamic (m2/s)   (also background Kz if not "key_zdfcst")
-!  avt0       vertical eddy diffusivity for tracers (m2/s)     (also background Kz if not "key_zdfcst")
-!  avevd      vertical coefficient for enhanced diffusion scheme (m2/s)
-!  n_evdm     = 0  apply enhanced mixing on tracer only
-!             = 1  apply enhanced mixing on both tracer and momentum
-!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
-!                               (=F)  euler backward (F)
-!  n_zdfexp   number of sub-timestep for time splitting scheme
-&namzdf
-   ln_zdfevd = .true.
-   ln_zdfnpc = .false.
-   avm0      = 1.2e-4
-   avt0      = 1.2e-5
-   avevd     =   100.
-   n_evdm    =     1
-   ln_zdfexp =  .false.
-   n_zdfexp  =     3
-/
-!-----------------------------------------------------------------------
-!       namnpc   non penetrative convection
-!-----------------------------------------------------------------------
-!  nnpc1   non penetrative convective scheme frequency   
-!  nnpc2   non penetrative convective scheme print frequency
-&namnpc
-   nnpc1  =      1
-   nnpc2  =    365
-/
-!-----------------------------------------------------------------------
-!       namric   richardson number dependent vertical diffusion         ("key_zdfric" )
-!-----------------------------------------------------------------------
-!  avmri   maximum value of the vertical viscosity
-!  alp     coefficient of the parameterization
-!  nric    coefficient of the parameterization
-&namric
-   avmri = 100.e-4
-   alp   =      5.
-   nric  =       2
-/
-!-----------------------------------------------------------------------
-!       namtke   turbulent eddy kinetic dependent vertical diffusion    ("key_zdftke")
-!-----------------------------------------------------------------------
-!  ln_rstke    flag to restart with tke from a run without tke (default F)
-!  rn_ediff    coef. to compute vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
-!  rn_ediss    coef. of the Kolmogoroff dissipation
-!  rn_ebb      coef. of the surface input of tke
-!  rn_efave    coef. to applied to the tke diffusion ( avtke=rn_efave*avm )
-!  rn_emin     minimum value of tke (m^2/s^2)
-!  rn_emin0    surface minimum value of tke (m^2/s^2)
-!  nn_itke     number of restart iterative loops
-!  rn_cri      critic richardson number = 2/9 = 0.22222222 (hard coded)
-!  nn_mxl      length used = 0 bounded by the distance to surface and bottom
-!              !           = 1 bounded by the local vertical scale factor
-!              !           = 2 first vertical derivative of mixing length bounded by 1
-!              !           = 3 same criteria as case 2 but applied in a different way
-!  nn_pdl      Prandtl number = 0 no vertical prandtl number (avt=avm)
-!              !              = 1 prandtl number function of richarson number (avt=nn_pdl*avm)
-!  nn_ave      = horizontal averaged (=1) or not (=0) of avt  (default =1)
-!  nn_avb      = 0 cst background avt0, avm0 / =1 profile used on avtb
-!  ln_mxl0     mixing length scale surface value as function of wind stress or not
-!  rn_lmin     interior buoyancy lenght scale minimum value 
-!  rn_lmin0    surface  buoyancy lenght scale minimum value 
-!  nn_etau     to add tke induced by wind  = 0 no add tke induced by wind
-!              !                           = 1 add tke induced by wind
-!              !                           = 2 add tke induced by wind only at the mxl base
-!  nn_htau     TKE penetration profile type
-!  rn_efr      fraction of TKE surface value which penetrates inside the thermocline
-!  ln_lc       flag to take into account Langmuir Circulation (LC)
-!  rn_lc       coef to compute vertical velocity of LC
-!  nn_havtb    horizontal shape or not for avtb (=0/1)
-&namtke
-   ln_rstke = .false.
-   rn_ediff =     0.1
-   rn_ediss =     0.7
-   rn_ebb   =    3.75
-   rn_efave =      1.
-   rn_emin  =   1.e-6
-   rn_emin0 =   1.e-4
-   nn_itke  =      50
-   nn_mxl   =       2
-   nn_pdl   =       1
-   nn_avb   =       0
-   nn_ave   =       1
-   ln_mxl0  = .false.
-   rn_lmin  =     0.4
-   rn_lmin0 =     0.4
-   nn_etau  =       0
-   nn_htau  =       2
-   rn_efr   =    0.05
-   ln_lc    = .false.
-   rn_lc    =    0.15
-   nn_havtb =       0
-/
-!-----------------------------------------------------------------------
-!       namkpp   K-Profile Parameterization dependent vertical mixing   ("key_zdfkpp" )
-!-----------------------------------------------------------------------
-!  ln_kpprimix   shear instability mixing  (default T)
-!  difmiw        constant internal wave viscosity (m2/s)
-!  difsiw        constant internal wave diffusivity (m2/s)
-!  Riinfty       local Richardson Number limit for shear instability
-!  difri         maximum shear mixing at Rig = 0    (m2/s)
-!  bvsqcon       Brunt-Vaisala squared (1/s**2) for maximum convection
-!  difcon        maximum mixing in interior convection (m2/s)
-!  nave          = 0/1 flag for horizontal average on avt, avmu, avmv
-!  navb          = 0/1 flag for constant or profile background avt
-&namkpp
-   ln_kpprimix  = .true.
-   difmiw       =  1.e-04
-   difsiw       =  0.1e-04
-   Riinfty      =  0.8
-   difri        =  0.0050
-   bvsqcon      = -0.01e-07
-   difcon       =  1.
-   navb         =  0
-   nave         =  1
-/
-!-----------------------------------------------------------------------
-!       namddm   double diffusive mixing parameterization               ("key_zdfddm")
-!-----------------------------------------------------------------------
-!   avts    maximum avs for dd mixing 
-!   hsbfr   heat/salt buoyancy flux ratio
-&namddm
-      avts  = 1.e-4
-      hsbfr = 1.6
-/
-
+&namzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
+   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
+   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
+   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
+   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
+/
+!-----------------------------------------------------------------------
+&namnpc        !   non penetrative convection
+!-----------------------------------------------------------------------
+   nnpc1       =    1      !  non penetrative convective scheme computation frequency
+   nnpc2       =  365      !  non penetrative convective scheme print frequency
+/
+!-----------------------------------------------------------------------
+&namric        !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   avmri       = 100.e-4   !  maximum value of the vertical viscosity
+   alp         =   5.      !  coefficient of the parameterization
+   nric        =   2       !  coefficient of the parameterization
+/
+!-----------------------------------------------------------------------
+&namtke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
+   ln_rstke    = .false.   !  restart with tke from a run without tke (T) or not (F)
+   nn_itke     =  50       !  number of iterative loops if ln_rstke=T 
+   rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
+   rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
+   rn_ebb      =   3.75    !  coef. of the surface input of tke
+   rn_efave    =   1.      !  boost of the tke diffusion ( avtke=rn_efave*avm )
+   rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
+   rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
+                           !                 = 1 bounded by the local vertical scale factor
+                           !                 = 2 first vertical derivative of mixing length bounded by 1
+                           !                 = 3 same criteria as case 2 but applied in a different way
+   nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
+   nn_avb      =   0       !  profile for constant background used on avt & avm (=1) or not (=0)
+   nn_ave      =   1       !  horizontal averaged on avt (=1) or not (=0) 
+   ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
+   rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
+   rn_lmin0    =   0.4     !  surface  buoyancy lenght scale minimum value
+   nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
+                           !        = 0 no penetration ( O(2 km) resolution)
+                           !        = 1 additional tke source 
+                           !        = 2 additional tke source applied only at the base of the mixed layer
+   nn_htau     =   2       !  type of exponential decrease of tke penetration
+                           !        = 0  constant 10 m length scale
+                           !        = 1  ???
+                           !        = 2  ???
+   rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
+   ln_lc       = .false.   !  Langmuir cell effect
+   rn_lc       =   0.15    !  coef. associated to Langmuir cells
+   nn_havtb    =   0       !  horizontal shape for avtb (=1) or not (=0)
+/
+!------------------------------------------------------------------------
+&namkpp        !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!                                                                         "key_kppcustom" or "key_kpplktb")
+!------------------------------------------------------------------------
+   ln_kpprimix = .true.    !  shear instability mixing 
+   difmiw      =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   difsiw      =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   Riinfty     =  0.8      !  local Richardson Number limit for shear instability
+   difri       =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   bvsqcon     = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   difcon      =  1.       !  maximum mixing in interior convection [m2/s]
+   navb        =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nave        =  1        !  constant (=0) or profile (=1) background on avt
+/
+!-----------------------------------------------------------------------
+&namddm        !   double diffusive mixing parameterization                  ("key_zdfddm")
+!-----------------------------------------------------------------------
+      avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+      hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+/
 !!======================================================================
 !!                  ***  Miscelaneous namelists  ***
 !!======================================================================
-!!   namsol      elliptic solver / island / free surface 
-!!======================================================================
-
-!-----------------------------------------------------------------------
-!       namsol   elliptic solver / island / free surface 
-!-----------------------------------------------------------------------
-!  nsolv     elliptic solver (=1 preconditioned conjugate gradient: pcg)
-!                            (=2 successive-over-relaxation: sor)
-!                            (=3 FETI currently it does not work!       ("key_feti")
-!  nsol_arp  absolute/relative (0/1) precision convergence test
-!  nmin      minimum of iterations for the SOR solver
-!  nmax      maximum of iterations for the SOR solver
-!  nmod      frequency of test for the SOR solver
-!  eps       absolute precision of the solver
-!  resmax    absolute precision for the SOR solver
-!  sor       optimal coefficient for SOR solver
-!  epsisl    absolute precision on stream function solver
-!  nmisl     maximum pcg iterations for island
-!  rnu       strength of the additional force used in free surface b.c.
-&namsol
-   nsolv     =      1
-   nsol_arp  =      0
-   nmin      =    300
-   nmax      =    800
-   nmod      =     10
-   eps       =  1.E-6
-   resmax    = 1.E-10
-   sor       =   1.92
-   epsisl    = 1.e-10
-   nmisl     =   4000
-   rnu       =     1.
+!!   nam_mpp           Massively Parallel Processing                    ("key_mpp_mpi)
+!!   nam_mpp_dyndist   Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
+!!   namctl            Control prints & Benchmark
+!!   namsol            elliptic solver / island / free surface 
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namsol        !   elliptic solver / island / free surface 
+!-----------------------------------------------------------------------
+   nsolv       =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+                           !                   =2 successive-over-relaxation (sor)
+                           !                   =3 FETI (fet)                               ("key_feti")
+                           !                   =4 sor with extra outer halo
+   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
+   nmin        =    300    !  minimum of iterations for the SOR solver
+   nmax        =    800    !  maximum of iterations for the SOR solver
+   nmod        =     10    !  frequency of test for the SOR solver
+   eps         =  1.e-6    !  absolute precision of the solver
+   resmax      =  1.e-10   !  absolute precision for the SOR solver
+   sor         =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
+   epsisl      =  1.e-10   !  absolute precision on stream function solver
+   nmisl       =   4000    !  maximum pcg iterations for island                            ("key_islands")
+   rnu         =      1.   !  strength of the additional force used in filtered free surface
+/
+!-----------------------------------------------------------------------
+&nam_mpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+                           !  buffer blocking send or immediate non-blocking sends, resp.
+   nn_buffer  =   0        !  size in bytes of exported buffer ('B' case), 0 no exportation
+/
+!-----------------------------------------------------------------------
+&nam_mpp_dyndist !   Massively Parallel Distribution                    ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni       =    1       !  jpni   number of processors following i
+   jpnj       =    1       !  jpnj   number of processors following j
+   jpnij      =    1       !  jpnij  number of local domains
+/
+!-----------------------------------------------------------------------
+&namctl       !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl     = .false.    !  trends control print (expensive!)
+   nprint     =    0       !  level of print (0 no extra print)
+   nictls     =    0       !  start i indice of control sum (use to compare mono versus
+   nictle     =    0       !  end   i indice of control sum        multi processor runs
+   njctls     =    0       !  start j indice of control               over a subdomain)
+   njctle     =    0       !  end   j indice of control 
+   isplt      =    1       !  number of processors in i-direction
+   jsplt      =    1       !  number of processors in j-direction
+   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+                           !     (no physical validity of the results)
+   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+                           !     of comparison between single and multiple processor runs
 /
 !!======================================================================
@@ -885,66 +619,43 @@
 
 !-----------------------------------------------------------------------
-!       namtrd    diagnostics on dynamics and/or tracer trends          ("key_trddyn" and/or "key_trdtra")
+&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
 !                          or mixed-layer trends                        ('key_trdmld')
 !                          or barotropic vorticity                      ("key_trdvor")
 !-----------------------------------------------------------------------
-!  ntrd                time step frequency dynamics and tracers trends
-!  nctls               control surface type in mixed-layer trends (0,1 or n<jpk)
-!  ln_trdmld_restart   restart for ML diagnostics
-!  ucf                 unit conversion factor (=1 -> /seconds | =86400. -> /day)
-!  ln_trdmld_instant   flag to diagnose trends of instantantaneous or mean ML T/S
-&namtrd
-   ntrd              = 365
-   nctls             =   0
-   ln_trdmld_restart = .false.
-   ucf               =  1.
-   ln_trdmld_instant = .false.
-/
-!-----------------------------------------------------------------------
-!       namgap    level mean model-data gap ('key_diagap')
-!-----------------------------------------------------------------------
-!  ngap    time-step frequency of model-data gap computation
-!  nprg    time-step frequency of gap print in model output
-&namgap
-   ngap =  15
-   nprg =  10
-/
-!-----------------------------------------------------------------------
-!       namspr  surface pressure diagnostic
-!-----------------------------------------------------------------------
-!  nmaxp   maximum of iterations for the solver
-!  epsp    absolute precision of the solver
-!  niterp  number of iteration done by the solver
-&namspr
-   nmaxp   =   1000
-   epsp    =  1.e-3
-   niterp  =    400
-/
-!-----------------------------------------------------------------------
-!       namflo    float parameters                                      ("key_float")
-!-----------------------------------------------------------------------
-!  ln_rstflo   boolean term for float restart (true or false)
-!  nwritefl   frequency of float output file 
-!  nstockfl   frequency of float restart file 
-!  ln_argo    Argo type floats (stay at the surface each 10 days)
-!  ln_flork4  = T trajectories computed with a 4th order Runge-Kutta
-!             = F  (default)   computed with Blanke' scheme
-&namflo
-    ln_rstflo = .false.
-    nwritefl  =      75
-    nstockfl  =    5475
-    ln_argo   = .false.
-    ln_flork4 = .false.
-/
-!-----------------------------------------------------------------------
-!       namptr   Poleward Transport Diagnostic
-!-----------------------------------------------------------------------
-!  ln_diaptr  logical flag for Poleward transport computation
-!  ln_subbas  logical flag for Atlantic/Pacific/Indian basins computation
-!             need input basins mask file named "subbasins.nc"
-!  nf_ptr     Frequency of computation
-&namptr
-   ln_diaptr = .false.
-   ln_subbas = .false.
-   nf_ptr    =  15
-/
+   ntrd       = 365        !  time step frequency dynamics and tracers trends
+   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+/
+!-----------------------------------------------------------------------
+&namgap       !   level mean model-data gap                             ('key_diagap')
+!-----------------------------------------------------------------------
+   ngap       =  15        !  time-step frequency of model-data gap computation
+   nprg       =  10        !  time-step frequency of gap print in model output
+/
+!-----------------------------------------------------------------------
+&namspr       !   surface pressure diagnostic
+!-----------------------------------------------------------------------
+   nmaxp      =   1000     !  maximum of iterations for the solver
+   epsp       =  1.e-3     !  absolute precision of the solver
+   niterp     =    400     !  number of iteration done by the solver
+/
+!-----------------------------------------------------------------------
+&namflo       !   float parameters                                      ("key_float")
+!-----------------------------------------------------------------------
+    ln_rstflo = .false.    !  float restart (T) or not (F)
+    nwritefl  =      75    !  frequency of writing in float output file 
+    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
+    ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+                           !  or computed with Blanke' scheme (F)
+/
+!-----------------------------------------------------------------------
+&namptr       !   Poleward Transport Diagnostic
+!-----------------------------------------------------------------------
+   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
+   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+                           !  (orca configuration only, need input basins mask file named "subbasins.nc"
+   nf_ptr     =  15        !  Frequency of ptr computation [time step]
+/
